View Issue Details

IDProjectCategoryView StatusLast Update
11542Feature requests[All Projects] User/User groupspublic2017-09-22 11:14
Reporterrnck Assigned ToLouisGac  
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version2.x.x 
Summary11542: Implement setting to display more than 10 users per page
Description

Please implement an optional setting to display more than 10 users per page. Let's say 10, 20, 50, 100 or all. It's quite uncomfortable to click through the pages.

And a quick search for users would be great, too. But maybe, that's another ticket?!

No .lss or .lsa necessary.

Tagsusers

Activities

rnck

rnck

2016-08-12 16:22

reporter   ~40282

This is now existent in Build 160812. I filed this issue before 160812 has been released. But it resets to 10 users per page on the next page load (e.g. edit and save user permissions). Maybe the chosen setting can be stored in a cookie.

mfavetti

mfavetti

2016-09-27 01:57

developer   ~40962

Ok, I fixed the persistence problem. The code either used the value when passed as a param or the default. It didn't cover the case where the pageSize could be set already.

PR #542

LouisGac

LouisGac

2016-09-27 10:08

manager   ~40967

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=20657

Related Changesets

LimeSurvey: master a190b838

2016-09-27 01:55:55

mfavetti

Details Diff
Fixed Issue 11542: Implement setting to display more than 10 users per page Affected Issues
11542
mod - application/controllers/admin/useraction.php Diff File

LimeSurvey: master fa59a599

2016-09-27 10:08:06

LouisGac


Committer: GitHub Details Diff
Merge pull request #542 from mfavetti/issue11542

Fixed Issue 11542: Implement setting to display more than 10 users per page
Affected Issues
11542
mod - application/controllers/admin/useraction.php Diff File

Issue History

Date Modified Username Field Change
2016-08-12 10:06 rnck New Issue
2016-08-12 16:22 rnck Note Added: 40282
2016-09-02 08:44 rnck Tag Attached: users
2016-09-27 01:57 mfavetti Note Added: 40962
2016-09-27 10:08 mfavetti Changeset attached => LimeSurvey master a190b838
2016-09-27 10:08 LouisGac Changeset attached => LimeSurvey master fa59a599
2016-09-27 10:08 LouisGac Note Added: 40967
2016-09-27 10:08 LouisGac Assigned To => LouisGac
2016-09-27 10:08 LouisGac Resolution open => fixed
2016-12-09 12:39 LouisGac Status new => resolved
2017-09-22 11:14 c_schmitz Status resolved => closed
2017-09-22 11:14 c_schmitz Fixed in Version => 2.x.x